package com.unis.ynls.dataDictionary.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;

import lombok.Getter;
import lombok.Setter;

import com.unis.common.utils.UUIDUtils;


/**
 * 基础实体类
 * 所有继承该实体类的实体在映射成表的时候会自动加入该类中的字段
 *
 * @author Garfield
 */
@Getter
@Setter
@MappedSuperclass
public abstract class BaseEntity implements Serializable {
    private static final long serialVersionUID = -5082401234492420871L;

    /**
     * 备注
     */
    @Column(name="REMARK",nullable = true)
    private String remark;

    /**
     * 创建人id
     */
    @Column(name="CREATE_BY")
    private String createBy;

    /**
     * 创建时间
     */
    @Column(name="CREATE_TIME")
    private Date createTime;

    /**
     * 修改人
     */
    @Column(name="UPDATE_BY")
    private String updateBy;
    
    /**
     * 修改时间
     */
    @Column(name="UPDATE_TIME")
    private Date updateTime;

    /**
     * 删除人
     */
    @Column(name="DELETE_BY")
    private String deleteBy;
    
    /**
     * 删除时间
     */
    @Column(name="DELETE_TIME")
    private Date deleteTime;
    
    /**
     * 组织机构id
     */
    @Column(name="ORG_ID")
    private String orgId;
    
    /**
     * 部门ID
     */
    @Column(name="DEPT_ID")
    private String deptId;

    /**
     * 排序
     */
    @Column(name="ORDER_BY")
    private Integer orderBy;

}
