package com.unis.ynls.dataDictionary.mapper;


import com.unis.ynls.dataDictionary.entity.DataDictionaryDO;
import com.unis.ynls.dataDictionary.vo.DataDictionaryVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * InterfaceName: DataDictionaryMapper
 * @Description: 数据字典   Dao层
 * @author 杨祖榕
 * @date 2018年11月09日 下午19:57:23
 * @version v1.0
 */
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DataDictionaryMapper extends Mapper<DataDictionaryDO> {

    @Select("select MAX(id) as maxId from SYS_DICTIONARY")
    Integer getMaxId();

    @Select("select t.*  From SYS_DICTIONARY t where t.GROUP_ID = #{groupId} and t.DICT_CODE like  '${dictCode}%' ")
    List<DataDictionaryDO> getDataTree(@Param("groupId") String groupId, @Param("dictCode") String dictCode);

    @Select("select t.id,t.dict_code,t.dict_name,t.pdict_code,t.group_id from SYS_DICTIONARY t order by t.group_id, t.order_by")
    List<DataDictionaryDO> getAllOrderbyGroup();
    @Select("select t.*  From SYS_DICTIONARY t where t.GROUP_ID = #{groupId}  ORDER BY ID ASC")
    List<DataDictionaryDO> findByGroupId(String groupId);
    @Select("select t.*  From SYS_DICTIONARY t where t.PDICT_CODE = #{pdictCode}  ORDER BY ID ASC")
    List<DataDictionaryDO> findByPDictCode(String pdictCode);

    @Select("SELECT DICT_CODE FROM SYS_DICTIONARY WHERE GROUP_ID = #{groupId} AND DICT_NAME in (${dictName})")
    List<String> getDataDictionaryByGroupIdAndInDictName(String groupId, String dictName);

    @Select("select t.*  From SYS_DICTIONARY t where t.GROUP_ID = #{groupId} and t.DICT_CODE like  '${dictCode}%'  order by t.id asc")
    List<DataDictionaryDO> getDataParent(@Param("groupId") String groupId, @Param("dictCode") String dictCode);
}
