package com.unis.ynls.dataDictionary.service;


import com.unis.ynls.dataDictionary.entity.DataDictionaryDO;
import com.unis.ynls.dataDictionary.vo.DataDictionaryVO;

import java.util.List;

/**
 * InterfaceName: DataDictionaryService
 * @Description: 数据字典管理
 * @author 杨祖榕
 * @date 2018年11月09日 上午10:40:23
 * @version v1.0
 */
public interface DataDictionaryService {

    DataDictionaryVO findById(Integer id);

    DataDictionaryVO getDataDictionaryByGroupIdAndDictCode(String groupId, String dictCode);

    Boolean delete(Integer id);

    boolean save(DataDictionaryVO dataDictionaryVO);

    boolean update(DataDictionaryVO dataDictionaryVO);

    List<DataDictionaryVO> getSubDataDictionarysByDictCodeId(String dictCode);

    List<DataDictionaryVO> getSubDataDictionarysByGroupId(String groupId);

    List<DataDictionaryVO> getDataTree(String groupId, String dictCode);

    DataDictionaryVO getDataTreeByDictCode(String groupId, String dictCode);

    List<DataDictionaryVO> getDataTreeByGroupId(String groupId);

    void dataDictionarys2Redis();

    List<DataDictionaryDO> findByGroupId(String groupId);

    List<DataDictionaryVO> getDataGroupId(String groupId);

    /**
     * @Description: 获取所有市及以下的地区
     * @date 2019年1月29日,下午5:39:38
     * @author huangshuai
     * @version v1.0
     * @param groupId   pdictCode
     * @return
     */
	List<DataDictionaryVO> getSubDataDictionarys(String groupId, String pdictCode);
    /**
     * 根据数据字典组ID和数据字典名称查询数据字典
     * @param groupId
     * @param dictName
     * @return String
     * @author liyb
     * @date 2019-03-19 11:02:10
     * @version v1.0
     */
    String getDataDictionaryByGroupIdAndDictName(String groupId, String dictName);
    
    /**
     * @Description: 获取上级节点
     * @date 2019年4月8日,下午4:28:06
     * @author huangshuai
     * @version v1.0
     * @param groupId
     * @param dictCode
     * @return
     */
	DataDictionaryVO getDictCode(String groupId, String dictCode);

    /**
     * 根据父级id查询数据字典
     * @param pdictCode
     * @return
     */
    List<DataDictionaryDO> findByPDictCode(String pdictCode);

//    void clearRedisDataDictionary();

    String getDataDictionaryByGroupIdAndInDictName(String groupId, String dictName);

    List<DataDictionaryDO> getDataParent(String groupId, String dictCode);
}
